package com.galaxis.manatee.controller;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.galaxis.manatee.exception.BigSizeException;
import com.galaxis.manatee.service.DataArcherService;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

/**
 * @author zcj
 * @version 0.1
 * @date 2020/10/27 11:39 上午
 */
@Slf4j
@RestController
public class TestController {

    private DataArcherService dataArcherService;

    public TestController(DataArcherService dataArcherService) {
        this.dataArcherService = dataArcherService;
    }

    @GetMapping("/test/helloGet")
    public String testGet(){
        return "hello";
    }

    @PostMapping("/test/helloPost")
    public String testPost(@RequestBody PostObject postObject){
        return "hello";
    }

    @Data
    class PostObject{
        private String a;
        private String b;
    }

    @GetMapping("/test/api/gogogo")
    public void testApi(@RequestParam("userId")String userId) throws JsonProcessingException, BigSizeException {
        dataArcherService.updateChuanyunSelfWorkHourListByUserId(userId);
    }

}


